Bug 471723 - gnome-keyboard-indicator applet too big for panel
gnome-keyboard-indicator applet too big for panel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 01:20 EST by Todor Todorov
Modified: 2009-12-18 01:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the applet area (8.99 KB, image/png)
2008-11-15 01:20 EST, Todor Todorov
no flags Details
PATCH limit the size of the applet to 75% of available height (482 bytes, patch)
2008-11-15 01:28 EST, Todor Todorov
no flags Details | Diff
screenshot of the restricted applet (8.63 KB, image/png)
2008-11-15 01:32 EST, Todor Todorov
no flags Details

  None (edit)
Description Todor Todorov 2008-11-15 01:20:38 EST
Created attachment 323684 [details]
screenshot of the applet area

Description of problem:
The keyboard-indicator applet takes all the available space in the gnome panel (panel height). This is even more apparent in the case the user has the settinhs showFlags in gconf turned on. The applet should strive for a more unified look, in order to fit in with the other applets

Version-Release number of selected component (if applicable):
gnome-applets-2.24.1-1.fc10.x86_64

Steps to Reproduce:
1. Download a country flag for your layout (svg or png from Wikipedia will work, size doesn't matter) and place under ~/.icons/flags/<2-char-iso-code>.png
2. Turn on flags: `gconftool-2 -t bool -s /desktop/gnome/peripherals/keyboard/indicator/showFlags true`
3. Select the "Keyboard Indicator" from the available panel applet list and add to panel if not already on.
  
Actual results:
The flag icon is shown on the panel, and it takes all of the panel's height. The icon width is scaled accordingly to its height. The applet "feels" much bulkier than the other applets.

Expected results:
A more consistent look&feel, some space on top and bottom of the applet.
Comment 1 Todor Todorov 2008-11-15 01:26:45 EST
It would be nice, if the flag icon size is configurable via gconf or gtkrc. Anyway a fast workaround is a small change in the applet code, delimiting it to only 75% of the available height. (maybe that would be even better solved as a setting in gconf, named "zoom" or "scale")

diff -uNr a/gswitchit/gswitchit-applet.c b/gswitchit/gswitchit-applet.c
--- a/gswitchit/gswitchit-applet.c	2008-11-15 07:04:17.000000000 +0100
+++ b/gswitchit/gswitchit-applet.c	2008-11-15 07:06:07.000000000 +0100
@@ -614,7 +614,7 @@
 	gtk_widget_show_all (sia->applet);
 	gtk_widget_realize (sia->applet);
 
-	max_ratio = gkbd_indicator_get_max_width_height_ratio ();
+	max_ratio = 0.75 * gkbd_indicator_get_max_width_height_ratio ();
 
 	if (max_ratio > 0) {
 		switch (orient) {
Comment 2 Todor Todorov 2008-11-15 01:28:24 EST
Created attachment 323685 [details]
PATCH limit the size of the applet to 75% of available height
Comment 3 Todor Todorov 2008-11-15 01:32:03 EST
Created attachment 323686 [details]
screenshot of the restricted applet

Here's how the applet looks with size fixed at 75% height. The screenshot is only with the icon, but turning off the flags and using text only looks good as well.
Comment 4 Ray Strode [halfline] 2008-11-15 15:01:31 EST
Hi Todor,

Do you mind posting your patch upstream at bugzilla.gnome.org?
Comment 5 Bug Zapper 2008-11-26 00:25:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 04:22:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:51:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.